Subject: Re: [Bitcoin-development] BIP process

From: Gregory Maxwell <[email-masked]>
Date: Wed, 15 Oct 2014 09:22:46 +0000

On Wed, Oct 15, 2014 at 8:29 AM, Wladimir <[email-masked]> wrote:
> Hello,
>
> I'm trying to create a bit of process around the
> https://github.com/bitcoin/bips repository.
>
> A) Currently a lot of pulls are open for various BIPs and it is not
> clear who should comment on them, or who decides on changes to be
> merged.
>
> Currently all BIP changes have to go through the Bitcoin Core team,
> which is a narrow bottleneck and makes little sense when you think
> about it. But I don't want to go back to the wiki state in which
> everyone can make arbitrary changes to any BIP - we need to distribute
> the process somehow.
>
> I'd like to propose to make the author (or someone they delegate to)
> the primary contact for each BIP. They should comment on changes, and
> either accept or reject them. If they accept them, the change will be
> merged.
>
> Of course this means that there is a responsibility for the author to
> adhere to BIP 1. For example if your BIP is final, don't allow any
> technical changes. To do small clarifications, spelling or adding
> implementations or examples is OK, but changing or adding to a
> protocol is not - this needs a new BIP. Changing your BIP status
> without community consensus is also not OK.
>
> B) I also think it makes sense to move the BIP discussion (both about
> the BIP process and individual BIPs) to a separate mailing list.
>
> bitcoin-development currently has a dual function: discussion of
> Bitcoin Core implementation concerns, as well as global changes to
> Bitcoin (in the form of BIPs).
>
> This makes the list too busy for some people, but it is critical that
> everyone writing a Bitcoin node or client is up-to-date with proposals
> and can comment on them.

This all makes a lot of sense to me, and would help a lot with the
workflow.  Unfortunately github pulls and issues really have nothing
to faciltate a multistage workflow... e.g. where something can go
through several steps.

We're also having problems with people failing to comment on things,
not even "I looked at this and have no opinion", which is really
obstructing things.